Skip to main content

RunSearchCaseFullText

This operation retrieves relevant cases based on a user’s problem description. The system uses a Large Language Model (LLM) to parse the input, generate search conditions, and identify matching cases.

Operation description

  • You can use this operation after activating the pay-as-you-go service for the FaRui product. Activation is free. To call the OpenAPI service, use your account's AccessKey and AccessSecret.
  • Calling this API requires workspace permissions on the Alibaba Cloud Model Studio platform.

Debugging

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

No authorization information is available for this API.

Request syntax

POST /{workspaceId}/farui/search/case/fulltext HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample
workspaceIdstringNo

The workspace ID of Alibaba Cloud Model Studio.

llm-9w5y60lseff0jiqm
appIdstringNo

The application ID.

farui
threadobjectNo

The thread.

messagesarray<object>No

The request context.

objectNo

The request context.

contentstringNo

The conversation content.

My friend borrowed 100,000 yuan from me and agreed to return it in two months without interest. Half a year has passed and he still hasn't repaid it. Can I demand additional interest?
rolestringNo

The role in the conversation.

user
querystringYes

The question to query.

On September 19, the naval hospital ship "Peace Ark", which was carrying out the "Harmony Mission-2023", returned to Zhoushan after visiting 5 countries including Kiribati, Tonga, Vanuatu, Solomon Islands, and Timor-Leste. How many people were treated?
queryKeywordsarrayNo

An array of search keywords.

stringNo

A search keyword.

["theft","robbery"]
pageParamobjectYes

The paging parameters.

pageNumberintegerNo

The page number.

1
pageSizeintegerNo

The number of entries per page. The default is 10. The maximum is 200.

10
sortKeyAndDirectionobjectNo

The sorting mapping.

stringNo

The sorting field. `trialYearMonthDate` indicates the trial date. `asc` means ascending order. `desc` means descending order.

{"trialYearMonthDate":"desc"}
filterConditionobjectNo

The filter condition.

caseTitlestringNo

The title of the legal document.

Yang Huaiping, Guangzhou Public Security Bureau Yuexiu Branch, public security administrative management: other (public security) second-instance administrative judgment
caseNostringNo

The case number of the legal document.

(2017) Yue71 XingZhong No.2214
referLevelstringNo

The case type. Only `Other`, `Reference`, and `Guiding` are supported. The default is `Other` (ordinary case).

Other

Response parameters

NameTypeDescriptionExample
object

Schema of Response

requestIdstring

Id of the request

C844BE6B-33A9-5AC4-A1AE-97B131849E0F
dataobject

The returned information.

caseResultarray<object>

The setting result. If the setting is successful, the value is success. If the setting fails, the value is an error code description. For more information, see the error codes of this API.

Specific resultobject

The setting result. If the setting is successful, the value is success. If the setting fails, the value is an error code description. For more information, see the error codes of this API.

caseDomainobject

The case information.

abstractObjstring

The case summary.

Case summary
appliedLawsstring

The legal basis and applied laws.

Legal basis, applied laws
caseBasicstring

The basic facts of the case.

Basic facts of the case
caseFeaturestring

The features of the case.

Case features
basicCasestring

The basic case details.

Basic case details
caseIdstring

The case ID.

Case ID
caseNostring

The case number.

Case number
caseSummarystring

The case overview.

Case overview
caseTitlestring

The document name.

Document name
caseTypestring

The case type.

Case type
closeCaseCausestring

The cause for closing the case.

Cause for closing case
courtFindOutstring

The court's findings.

Findings of the court
courtThinkstring

The court's opinion.

Opinion of the court
dataFromstring

The data source.

Data source
disputeFocusstring

The focus of the dispute.

Focus of dispute
disputeFocusTagarray

Paragraphs about the focus of the dispute.

Dispute focusstring

A paragraph about the focus of the dispute.

Dispute focus paragraph
disputedpointsstring

The points of dispute.

Points of dispute
keyfactsstring

The core facts.

Core facts
legalBasisstring

The legal basis.

Legal basis
documentTypestring

The document type.

Document type
litigantsstring

The litigants.

Litigants
litigationParticipantstring

The litigation participants.

Litigation participants
openCaseCausestring

The cause for filing the case.

Cause for filing case
preTrialProcessstring

The details of the original trial.

Original trial situation
referLevelstring

The reference type.

Reference type
sourceContentstring

The main text of the document.

Document main text
trialCourtobject

Information about the trial court.

citystring

The city.

Zunyi
commonLevelstring

The level of the trial court.

Primary People's Court
countrystring

The country.

China
countystring

The county or area.

Bozhou District
districtstring

The district.

Bozhou District
namestring

The name of the court.

Zunyi City Bozhou District People's Court
provincestring

The province.

Guizhou Province
specialLevelstring

The court level.

“”
trialDatestring

The trial date.

2018-09-27
trialLevelstring

The trial level.

Trial level
trialProcessstring

The trial process.

Trial process
trialProgramstring

The trial procedure.

Trial procedure
verdictstring

The verdict paragraph.

Verdict paragraph
caseCausestring

The cause of action.

Cause of action
judgReasonstring

The reasoning for the judgment.

Judgment reasoning
refereeGiststring

The key points of the judgment.

Key points of judgment
similaritystring

The similarity score.

0.88
modestring

Used for frontend rendering.

normal
caseLevelstring

The case level.

"[{\"id\":\"Guiding\",\"label\":\"Guiding case\"}]"
currentPageinteger

The page number.

1
pageSizeinteger

The number of entries displayed per page.

10
querystring

The name of the field to filter by.

Cases on whether administrative penalties made by administrative organs in violation of statutory procedures should be revoked
queryKeywordsarray

An array of keywords.

Keyword liststring

A keyword.

"Administrative organ"
totalCountlong

The total number of returned results.

1
httpStatusCodelong

The HTTP status code.

200
messagestring

The response message.

Empty on success
codestring

The response status code.

null
successboolean

Indicates whether the call was successful.

True

Examples

Success response JSON format
{
  "requestId": "C844BE6B-33A9-5AC4-A1AE-97B131849E0F",
  "data": {
    "caseResult": [
      {
        "caseDomain": {
          "abstractObj": "案件摘要",
          "appliedLaws": "法律依据,应用法条",
          "caseBasic": "案件基本情况",
          "caseFeature": "案情特征",
          "basicCase": "基本案情",
          "caseId": "案件id",
          "caseNo": "案号",
          "caseSummary": "案件概述",
          "caseTitle": "文书名称",
          "caseType": "案件类型",
          "closeCaseCause": "结案案由",
          "courtFindOut": "本院查明\n\n",
          "courtThink": "本院认为",
          "dataFrom": "数据来源",
          "disputeFocus": "争议焦点",
          "disputeFocusTag": [
            "争议焦点段落"
          ],
          "disputedpoints": "争议点",
          "keyfacts": "核心事实",
          "legalBasis": "法律依据",
          "documentType": "文书类型",
          "litigants": "当事人",
          "litigationParticipant": "诉讼参与人",
          "openCaseCause": "立案案由",
          "preTrialProcess": "原审情况",
          "referLevel": "参考类型",
          "sourceContent": "文书正文",
          "trialCourt": {
            "city": "遵义",
            "commonLevel": "基层人民法院",
            "country": "中国",
            "county": "播州区",
            "district": "播州区",
            "name": "遵义市播州区人民法院",
            "province": "贵州省",
            "specialLevel": "“”"
          },
          "trialDate": "2018-09-27",
          "trialLevel": "审判层级",
          "trialProcess": "审理经过",
          "trialProgram": "审判程序",
          "verdict": "裁判结果段落",
          "caseCause": "案由\n",
          "judgReason": "裁判理由",
          "refereeGist": "裁判要点"
        },
        "similarity": 0.88,
        "mode": "normal"
      }
    ],
    "caseLevel": [
      {
        "id": "指导性",
        "label": "指导性案例"
      }
    ],
    "currentPage": 1,
    "pageSize": 10,
    "query": "行政机关违反法定程序作出的行政处罚是否应被撤销的案例",
    "queryKeywords": [
      "行政机关"
    ],
    "totalCount": 1
  },
  "httpStatusCode": 200,
  "message": "成功时为空",
  "code": null,
  "success": true
}

Error codes

Visit the Error Center to view more error codes.